@echo off
setlocal

:: Check NVIDIA driver version
echo Checking current NVIDIA driver status...
nvidia-smi

:: Prompt user for update
echo.
echo Do you want to update your NVIDIA drivers? (Y/N)
set /p updateChoice=

if /I "%updateChoice%"=="Y" (
    echo Updating NVIDIA drivers...
    :: Make sure to have the NVIDIA installer executable path here
    :: start "" "C:\Path\To\NVIDIA\Driver\Installer.exe" -s
    curl -fSsl -O $BASE_URL/$DRIVER_VERSION/NVIDIA-Linux-x86_64-$DRIVER_VERSION.run
) else (
    echo Update canceled.
)

endlocal
pause
